Bug 429451 - Review Request: magicmaze - Board game featuring a maze which the players change each turn
Review Request: magicmaze - Board game featuring a maze which the players cha...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-20 08:06 EST by Hans de Goede
Modified: 2008-02-06 14:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 14:25:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-01-20 08:06:40 EST
Spec URL: http://people.atrpms.net/~hdegoede/maze.spec
SRPM URL: http://people.atrpms.net/~hdegoede/maze-1.0-1.fc9.src.rpm
Description:
The board of the game is a complicated maze. You see reddish squares, which are
walls, and black lanes, which are walkable. Also you see brightly coloured
(humanoid) figures and little circles. The figures are the players, and the
rounds are coins which the players must collect.

Each player gets a turn. In the beginning of your turn, you get to change the
maze. You can see a small piece of maze "sticking out" of the board. You can
make that piece move around the board an rotate it. When you are done the
piece is pushed in the maze, thus making a whole column or row of the maze
shift. If you do this in a clever way, new passages open up, hopefully leading
you to a coin in your players color.

---

This package requires gstream, which Review is bug 429450
Comment 1 manuel wolfshant 2008-01-22 15:37:46 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64, F7/x86_64
 [x] Rpmlint output:
source RPM: none
binary RPM:
maze.x86_64: E: invalid-desktopfile /usr/share/applications/fedora-maze.desktop
see Issue 1
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type:zlib, according to a note included in the spec.
     See Issue 2.
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 7730410083d6215f4658c9b397cdc94148c58ed2 maze_src.zip
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [!] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
   See issue 1
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F7 and devel / x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: F7 and devel / x86_64
 [!] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.


=== Issues ===
1. rpmlint complains about the desktop file
maze.x86_64: E: invalid-desktopfile /usr/share/applications/fedora-maze.desktop
2. I think that at least the Dutch version of the mail mentioned in the spec
should be included. Safest method seems to be waiting for the approval in
English, especially since there is no mention of any license anywhere in the
sources.
3. When I have tried to run it remotely in F7, I was greeted by:
Error initializing sound card
Insufficient digital voices available
I will try again tomorrow when I will be at the console.
Comment 2 Hans de Goede 2008-01-22 16:49:35 EST
(In reply to comment #1)
> === Issues ===
> 1. rpmlint complains about the desktop file
> maze.x86_64: E: invalid-desktopfile /usr/share/applications/fedora-maze.desktop

Known problem, rpmlint (desktop-file-verify actually) on older Fedora's complain
if no Encoding is specified in the .desktop file, whereas newer ones complain
that Encoding=UTF-8 is deprecated when its present.

> 2. I think that at least the Dutch version of the mail mentioned in the spec
> should be included. Safest method seems to be waiting for the approval in
> English, especially since there is no mention of any license anywhere in the
> sources.

Upstream has already made a new tarbal available with the zlib license text and
Patch0 included. However they have also notified me that the included music is
not of their own creation, I'm working with them on finding a replacement.

> 3. When I have tried to run it remotely in F7, I was greeted by:
> Error initializing sound card
> Insufficient digital voices available
> I will try again tomorrow when I will be at the console.

This is an allegro error, there is nothing that can be changed in maze to fix
this. if you click ok you should still be able to play the game (but silent).
Comment 3 manuel wolfshant 2008-01-23 04:41:06 EST
After a reboot works for me (and is addictive !)

Package APPROVED under the reserve of solving the legal aspects before comit.
Comment 4 Hans de Goede 2008-02-05 14:17:25 EST
I finally got around to packaging up a new version released by upstream, which
includes a zlib license.txt now:
http://people.atrpms.net/~hdegoede/magicmaze.spec
http://people.atrpms.net/~hdegoede/magicmaze-1.0.2-1.fc9.src.rpm
Comment 5 Hans de Goede 2008-02-05 14:20:22 EST
Thanks for the review!

New Package CVS Request
=======================
Package Name:      magicmaze
Short Description: Board game featuring a maze which the players change each turn
Owners:            jwrdegoede
Branches:          F-8
InitialCC: 
Cvsextras Commits: Yes
Comment 6 Kevin Fenzi 2008-02-05 14:28:26 EST
cvs done.
Comment 7 Hans de Goede 2008-02-06 14:25:05 EST
Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.